plot.ddalpha {ddalpha} | R Documentation

## Plots for the "ddalpha" Class

### Description

`depth.contours.ddalpha` – builds the data depth contours for multiclass 2-dimensional data using the trained classifier. `draw.ddplot` – draws the DD-plot of the existing DDα-classifier.

### Usage

    ## S3 method for class 'ddalpha'
    plot(x, type = c("ddplot", "depth.contours"), ...)

### Arguments

`x` | DDα-classifier (obtained by `ddalpha.train`).
`type` | type of the plot for `draw.ddplot` or `depth.contours.ddalpha`
`...` | additional parameters passed to the depth functions and to `plot`

### See Also

`depth.`

`depth.contours`

`depth.graph`

### Examples

    ## Not run:

    par(mfrow = c(2,2))
    data(hemophilia)

    ddalpha = ddalpha.train(hemophilia, depth = "none")
    plot(ddalpha, type = "depth.contours", main = "data")
    plot(ddalpha, type = "ddplot", main = "data", drawsep = F)

    for (depth in c("zonoid", "Mahalanobis", "projection", "spatial")){
      ddalpha = ddalpha.train(hemophilia, depth = depth)
      plot(ddalpha, type = "depth.contours", main = depth, drawsep = T)
      plot(ddalpha, type = "ddplot", main = depth)
    }

    ## End(Not run)

[Package ddalpha version 1.3.1 Index]